<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.second.SecondEntrustUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.second.SecondEntrustUser">
        <id column="id" property="id" />
        <result column="entrust_trade_id" property="entrustTradeId" />
        <result column="entrust_trade_no" property="entrustTradeNo" />
        <result column="entrust_user_phone" property="entrustUserPhone" />
        <result column="entrust_user_name" property="entrustUserName" />
        <result column="entrust_id_card" property="entrustIdCard" />
        <result column="entrust_id_card_img" property="entrustIdCardImg" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_time" property="createdTime" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_time" property="updatedTime" />
        <result column="updated_user_id" property="updatedUserId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, entrust_trade_id, entrust_trade_no, entrust_user_phone, entrust_user_name, 
        entrust_id_card, entrust_id_card_img, delete_flag, created_time, created_user_id, 
        updated_time, updated_user_id
    </sql>

</mapper>

